.challenge-1 {
  display: flex;
}
.challenge-1 div {
  margin: 10px;
}
.elements {
  width: 50%;
  background-color: rgb(228, 228, 228);
  border-radius: 15px;
  padding: 10px;
}
.instructions {
  width: 50%;
  background-color: bisque;
  border-radius: 15px;
  padding: 10px;
}
/* first challenge */
.silly-list li {
  border: 0.5px solid;
  font-size: large;
}

.silly-list li:first-child {
  color: red;
}

.silly-list li:not(:last-child) {
  padding: 13px;
}

.silly-list li:nth-child(even) {
  background-color: blue;
}

.silly-list li:nth-child(3n) {
  list-style: square;
}

.silly-list li:nth-child(5) {
  color: orange;
}

.silly-list li:hover {
  cursor: pointer;
}
.silly-list li:hover + li:nth-child(n + 1) {
  background-color: #3e0e65;
  color: white;
}

.silly-list:has(> :nth-child(8)) {
  border-radius: 10px;
  background-color: #48d618;
  color: white;
  padding: 10px;
  border: 1px solid;
  border-color: white;
}

/* second challenge */
.section-figure {
  display: flex;
}

.figure-container {
  background-color: rgb(79, 169, 169);
  margin: 10px;
  width: 50%;
  height: auto;
  border-radius: 15px;
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.tree {
  width: 0;
  border: 60px solid;
  border-color: #266b0f transparent transparent #24650e;
  margin: auto;
  transform: rotate(45deg);
}
.tree:nth-child(1) {
  margin-top: 30px;
}
.tree:nth-child(2) {
  border-width: 80px;
  margin-top: -70px;
}
.tree:nth-child(3) {
  border-width: 100px;
  margin-bottom: -20px;
  margin-top: -100px;
}

.trunk {
  background-image: linear-gradient(90deg, #a26423, #bc6f1d 50%, #d17b1f 50%);
  height: 90px;
  margin: -100px auto 0;
  width: 45px;
}

/* rocket */

.rocket-head {
  width: 0;
  border: 45px solid;
  border-radius: 5px;
  margin-top: 20px;
  border-color: #0f486b transparent transparent #0a334c;
  transform: rotate(45deg);
}
.rocket-body {
  width: 125px;
  height: 180px;
  margin-top: -45px;
  border: transparent;
  z-index: 1;
  background-image: linear-gradient(90deg, #9a1e1e, #c02828 50%, #c12525 50%);
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  flex-direction: column;
}
.rocket-window {
  background-color: #e69f11;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

.rocket-fins {
  width: 0;
  border: 80px solid;
  margin-top: -80px;
  z-index: 0;
  transform: rotate(45deg);
  border-color: #0f486b transparent transparent #0a334c;
}
.rocket-fire {
  display: flex;
  height: auto;
}

.rocket-fire div {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 110px 35px 0 35px;
  border-color: #e0a12d transparent transparent transparent;
  margin-top: -90px;
}
